> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Account Applications



## OpenAPI

````yaml api-reference/openapi-apply.json GET /apply/account_application
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account Opening
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /apply/account_application:
    get:
      tags:
        - Account Application
      summary: List Account Applications
      parameters:
        - description: >-
            ID of the Account object that is created as a result of a successful
            application. Filterable.
          in: query
          name: account_id
          schema:
            type: string
        - description: >-
            ID of an Account Product object that determines what kind of account
            is created. Filterable.
          in: query
          name: account_product_id
          schema:
            type: string
        - description: >-
            ID of the Business Application object for the business applying for
            the account. Only needed for business accounts. Filterable.
          in: query
          name: business_application_id
          schema:
            type: string
        - description: 'One of: `business`, `personal`. Filterable.'
          in: query
          name: ownership_type
          schema:
            type: string
        - description: >-
            ID of the Person Application object representing the primary person
            applicant. Filterable.
          in: query
          name: primary_person_application_id
          schema:
            type: string
        - description: >-
            One of: `unsubmitted`, `submitted`, `canceled`, `kyc`, `processing`,
            `manual_review`, `rejected`, or `approved`. Indicates the current
            status of the application as it is evaluated. Filterable.
          in: query
          name: status
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_id: null
                        account_number_reservation_id: null
                        account_product_id: apt_11gqk87qmrax
                        bankdata: null
                        business_application_id: abus_01dcrqkr3yhw
                        created_at: '2019-03-15T11:55:14Z'
                        deposit_id: adpt_01d5wgg8js
                        id: aact_01jkw68sjab33
                        person_applications: []
                        primary_person_application_id: apsn_01d5w6yaa6vt
                        status: submitted
                        updated_at: '2019-03-15T11:55:14Z'
                        userdata: null
                      - account_id: null
                        account_number_reservation_id: null
                        account_product_id: apt_11gqk87qmrax
                        bankdata: null
                        business_application_id: null
                        created_at: '2019-03-15T11:55:14Z'
                        deposit_id: adpt_01d5w6xx0tvs
                        id: aact_01d5w6xb72vr
                        person_applications:
                          - id: apsn_01d5w6yaa6vt
                            roles:
                              - owner
                              - signer
                        primary_person_application_id: apsn_01d5w6yaa6vt
                        status: submitted
                        updated_at: '2019-03-15T11:55:14Z'
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        account_id:
                          description: >-
                            ID of the Account object that is created as a result
                            of a successful application. Filterable.
                          type: string
                        account_number:
                          description: >-
                            Account number associated with Account object that
                            is created as a result of a successful application
                          type: string
                        account_number_reservation_id:
                          description: >-
                            Optional ID of an Account Reservation object that
                            allocates an account number. By default, the account
                            number is generated when a new account is created
                          type: string
                        account_product_id:
                          description: >-
                            ID of an Account Product object that determines what
                            kind of account is created. Filterable.
                          type: string
                        bankdata:
                          description: >-
                            Optional arbitrary data that can be attached for the
                            bank's use
                          type: object
                        business_application_id:
                          description: >-
                            ID of the Business Application object for the
                            business applying for the account. Only needed for
                            business accounts. Filterable.
                          type: string
                        deposit_id:
                          description: >-
                            ID of the Deposit object that defines the initial
                            funding deposit for the new account
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        nickname:
                          description: >-
                            Optional nickname for the account, for the user's
                            reference
                          type: string
                        ownership_type:
                          description: 'One of: `business`, `personal`. Filterable.'
                          type: string
                        person_applications:
                          description: >-
                            Array of objects describing persons associated with
                            this account application, including the primary
                            person. Always `null` for business accounts
                          items:
                            properties:
                              id:
                                description: Person application ID
                                type: string
                              roles:
                                description: >-
                                  List of applicant's special roles, if any.
                                  Valid roles are `owner`, `signer`, `minor`,
                                  `authorized_user`, and `debit_card_holder`.
                                  The `minor` role is used to indicate a person
                                  who is a beneficiary but not of legal age to
                                  be a signer
                                items:
                                  type: string
                                type: array
                            type: object
                          type: array
                        primary_person_application_id:
                          description: >-
                            ID of the Person Application object representing the
                            primary person applicant. Filterable.
                          type: string
                        status:
                          description: >-
                            One of: `unsubmitted`, `submitted`, `canceled`,
                            `kyc`, `processing`, `manual_review`, `rejected`, or
                            `approved`. Indicates the current status of the
                            application as it is evaluated. Filterable.
                          type: string
                        userdata:
                          description: >-
                            Optional arbitrary data the user can attach to the
                            object
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` account-application elements, starting after the
            account-application described by `page_cursor`. If no more
            account-applications are available, the resulting list will be
            empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````